UNICYCLER(1)

NAME
unicycler - assembly pipeline for bacterial genomes

SYNOPSIS
unicycler [-h] [--help_all] [--version] [-1 SHORT1] [-2 SHORT2] [-s UNPAIRED] [-l LONG] -o OUT [--verbosity VERBOSITY] [--min_fasta_length MIN_FASTA_LENGTH] [--keep KEEP] [-t THREADS] [--mode {conservative,normal,bold}] [--linear_seqs LINEAR_SEQS] [--vcf]

DESCRIPTION
Unicycler is an assembly pipeline for bacterial genomes. It can assemble Illumina-only read sets where it functions as a SPAdes-optimiser. It can also assembly long-read-only sets (PacBio or Nanopore) where it runs a miniasm+Racon pipeline. For the best possible assemblies, give it both Illumina reads and long reads, and it will conduct a hybrid assembly.

OPTIONS

-h, --help
    Show this help message and exit

--help_all
    Show a help message with all program options

--version
    Show Unicycler's version number

  Input

-1 SHORT1, --short1 SHORT1
    FASTQ file of first short reads in each pair (required)

-2 SHORT2, --short2 SHORT2
    FASTQ file of second short reads in each pair (required)

-s UNPAIRED, --unpaired UNPAIRED
    FASTQ file of unpaired short reads (optional)

-l LONG, --long LONG
    FASTQ or FASTA file of long reads (optional)

  Output

-o OUT, --out OUT
    Output directory (required)

--verbosity VERBOSITY
    Level of stdout and log file information (default: 1)

    0 = no stdout,

    1 = basic progress indicators,

    2 = extra info,

    3 = debugging info

--min_fasta_length MIN_FASTA_LENGTH
    Exclude contigs from the FASTA file which are shorter than this length (default: 100)

--keep KEEP
    Level of file retention (default: 1)

    0 = only keep final files: assembly (FASTA,GFA and log),

    1 = also save graphs at main checkpoints,

    2 = also keep SAM (enables fast rerun in different mode),

    3 = keep all temp files and save all graphs (for debugging)

--vcf
    Produce a VCF by mapping the short reads to the final assembly (experimental, default: do not produce a vcf file)

  Other

-t THREADS, --threads THREADS
    Number of threads used (default: 4)

--mode {conservative,normal,bold}
    Bridging mode (default: normal)

    conservative = smaller contigs, lowest misassembly rate

    normal = moderate contig size and misassembly rate

    bold = longest contigs, higher misassembly rate

--linear_seqs LINEAR_SEQS
    The expected number of linear (i.e. non-circular) sequences in the underlying sequence (default: 0)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.